Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82509

Summary: OSError: [Errno 12] cannot allocate memory
Product: [Retired] Red Hat Linux Reporter: Tom Burk <tburk>
Component: anacondaAssignee: Michael Fulbright <msf>
Status: CLOSED NOTABUG QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: michael
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-17 16:54:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tom Burk 2003-01-22 22:23:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (Windows NT 5.0; U)

Description of problem:
Filled out all installation screens for standard Personal Desktop (graphics install mode)
Got to "About to Install" screen
Clicking Next almost immediately gave dialog "Exception Occured"
Asks me to copy full text and file a detailed bug report against anaconda at 
http://bugzilla.redhat.com/bugzilla
Traceback (most recent call last):
File "/usr/lib/anaconda/gui.py",line 786, in handleRenderCallBack 
self.currentWindow.renderCallback()
File "/usr/lib/anaconda/iw/progress_gui.py",line 149, in renderCallback 
self.intf.icw.nextClicked()
File "/usr/lib/anaconda/gui.py",line 632, in nextClicked 
self.dispatch.gotoNext()
File "/usr/lib/anaconda/dispatch.py",line 150, in gotoNext self.moveStep()
File "/usr/lib/anaconda/dispatch.py",line 215, in moveStep 
rc=apply(func,self.bindArgs(args))
File "/usr/lib/anaconda/packages.py",line 430, inturnOnFilesystems 
partitions.doMetaDeletes(diskset)
File "/usr/lib/anaconda/partitions.py",line 1110, in doMetaDeletes 
lvm.vgactivate()
File "/usr/lib/anaconda/lvm.py",lin 54, in vgactivate searchPath = 1)
File "/usr/lib/anaconda/iutil.py",line 66, in execWithRedirect childpid = 
os.fork()
OSError: [Errno 12] Cannot allocate memory

If I install via "text" mode everything works fine

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Steps given above
2.
3.
    

Additional info

Comment 1 Michael Lee Yohe 2003-01-23 14:04:43 UTC
Reporter, check to see if your bug is a duplicate of Bug 76123.  There are
useful comments with regards to how much memory must be installed in your
machine to install Red Hat Linux 8.0.

Comment 2 Tom Burk 2003-01-23 17:32:25 UTC
It certainly is SIMILAR to bug 76123.

The point I tried to make (which wasn't made in 76123 as far as I could see) was 
if you just change the install to text mode, then you can install Linux 8.0 and 
it will run on a system with < 128MB. That seemed silly to me (both the install 
approaches presumably install the same system - I can use the __full GUI__ when 
I install in text mode, albeit with a lot of swapping going on).


Comment 3 Michael Lee Yohe 2003-01-27 15:51:28 UTC
Correct - if you read the comments by Red Hat developers in Bug 76123, you will
notice that they've changed the timing of swap activation so these memory
problems will not occur.  Also, the release notes have been updated to specify
the system requirements for future releases.

Resolution == DUPLICATE (Bug 76123)

Comment 4 Michael Fulbright 2003-01-27 17:10:07 UTC
I could not find the information about the system being installed, or the steps
required to reproduce the issue. If you could point me at this information I may
be able to help.

Comment 5 Michael Fulbright 2003-02-17 16:54:03 UTC
Closing due to inactivity. Please reopen if you have additional information to add.